<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dynamic_white"
    android:orientation="vertical">
    <!--TitleBar-->
    <RelativeLayout
        android:id="@+id/rela_toolBar"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_alignParentTop="true">

        <ImageView
            android:id="@+id/image_back"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:paddingLeft="15dp"
            android:paddingRight="30dp"
            android:src="@drawable/platform_common_back" />

        <TextView
            android:id="@+id/tv_center_title"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_centerHorizontal="true"
            android:ellipsize="end"
            android:gravity="center"
            android:maxEms="12"
            android:maxLines="1"
            android:text="动态详情"
            android:textColor="@color/dynamic_default_text_color"
            android:textSize="@dimen/dynamic_default_text_size_big" />

        <ImageView
            android:id="@+id/image_right"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:gravity="center_vertical"
            android:paddingLeft="15dp"
            android:paddingRight="15dp"
            android:src="@drawable/platform_common_notice_more_un" />

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/dynamic_divide_line_stroke_width"
            android:layout_alignParentBottom="true"
            android:background="@color/dynamic_divide_color" />

    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/ll_has_load"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:visibility="gone">

            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:id="@+id/trend_detail_swl"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_below="@+id/rela_toolBar"
                android:layout_weight="1">
                <!--内容-->
                <com.ydl.ydlcommon.view.widgets.MyScrollview
                    android:id="@+id/myScrollView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:id="@+id/lin_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="50dp"
                        android:orientation="vertical"
                        android:visibility="gone"
                        tools:visibility="visible">

                        <!--标题-->
                        <TextView
                            android:id="@+id/item_trend_info_title"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:focusable="true"
                            android:focusableInTouchMode="true"
                            android:paddingBottom="10dp"
                            android:paddingLeft="15dp"
                            android:paddingRight="10dp"
                            android:paddingTop="10dp"
                            android:textColor="@color/dynamic_black"
                            android:textSize="18sp"
                            android:textStyle="bold"
                            tools:text="标题有报道称，朝鲜正在准备进行第六次核试验，预计此次核试规模将" />


                        <!--用户信息-->
                        <RelativeLayout
                            android:id="@+id/item_recommend_trend_user_rel"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="10dp"
                            android:layout_marginLeft="15dp"
                            android:layout_marginRight="15dp"
                            android:layout_marginTop="15dp">


                            <ImageView
                                android:id="@+id/item_recommend_trend_user_head_iv"
                                android:layout_width="45dp"
                                android:layout_height="45dp"
                                android:src="@drawable/dynamic_head_place_hold_pic" />

                            <RelativeLayout
                                android:id="@+id/text_userName_rel"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentTop="true"
                                android:layout_marginLeft="10dp"
                                android:layout_marginTop="3dp"
                                android:layout_toRightOf="@+id/item_recommend_trend_user_head_iv">

                                <TextView
                                    android:id="@+id/text_userName"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerVertical="true"
                                    android:textColor="@color/dynamic_text_trend_black"
                                    tools:text="小明" />

                                <ImageView
                                    android:id="@+id/img_sex"
                                    android:layout_width="12dp"
                                    android:layout_height="12dp"
                                    android:layout_centerVertical="true"
                                    android:layout_marginLeft="5dp"
                                    android:layout_toRightOf="@+id/text_userName"
                                    android:scaleType="fitXY"
                                    android:src="@drawable/dynamic_male" />

                            </RelativeLayout>


                            <TextView
                                android:id="@+id/text_time"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@+id/text_userName_rel"
                                android:layout_marginLeft="10dp"
                                android:layout_marginTop="7dp"
                                android:layout_toRightOf="@+id/item_recommend_trend_user_head_iv"
                                android:textColor="@color/dynamic_text_trend_defult"
                                android:textSize="12sp"
                                tools:text="23分钟前" />

                            <TextView
                                android:id="@+id/item_recommend_from"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@+id/text_userName_rel"
                                android:layout_marginTop="7dp"
                                android:layout_toRightOf="@id/text_time"
                                android:textColor="@color/dynamic_text_trend_defult"
                                android:textSize="12sp"
                                tools:text=" - 来自安卓客户端" />

                            <TextView
                                android:id="@+id/text_guanzhu"
                                android:layout_width="70dp"
                                android:layout_height="30dp"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true"
                                android:layout_marginRight="5dp"
                                android:background="@drawable/dynamic_shape_green_border_trend_info_bg"
                                android:clickable="true"
                                android:gravity="center"
                                android:text="+ 关注"
                                android:textColor="@color/platform_main_theme"
                                android:textSize="14sp"
                                android:visibility="gone"
                                tools:visibility="visible" />
                        </RelativeLayout>

                        <!--内容-->
                        <TextView
                            android:id="@+id/text_content"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="10dp"
                            android:layout_marginLeft="15dp"
                            android:layout_marginRight="15dp"
                            android:layout_marginTop="10dp"
                            android:lineSpacingExtra="3dp"
                            android:textColor="@color/dynamic_text_trend_black"
                            android:textSize="17sp"
                            tools:contentDescription="链接位"
                            tools:text="外交部回应“朝鲜正准备第六次核试验”】有报道称，朝鲜正在准备进行第六次核试验，预计此次核试规模将比上一次增加十几倍。对此，外交部回应表示：中方反对朝鲜核试的立场是明确和一贯的。当前半岛形势高度复杂敏感，任何可能加剧半岛局势紧张的举动都是不可取的。希望相关各方都保持冷静克制，负起自己的责任，不要采取进一步相互刺激和加剧局势紧张的行动。" />

                        <!--图片内容-->
                        <com.ydl.ydlcommon.view.widgets.RecyclerViewForScrollView
                            android:id="@+id/list_img"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:paddingLeft="15dp"
                            android:paddingRight="15dp"
                            android:visibility="gone"
                            tools:visibility="visible" />

                        <!--URL内容-->
                        <RelativeLayout
                            android:id="@+id/item_recommend_trend_ad_rel"
                            android:layout_width="match_parent"
                            android:layout_height="60dp"
                            android:layout_below="@+id/item_recommend_trend_content_tv"
                            android:layout_marginLeft="15dp"
                            android:layout_marginRight="15dp"
                            android:layout_marginTop="15dp"
                            android:background="@color/dynamic_trend_gray"
                            android:visibility="gone"
                            tools:visibility="visible">


                            <ImageView
                                android:id="@+id/item_recommend_trend_ad_iv"
                                android:layout_width="60dp"
                                android:layout_height="60dp"
                                android:layout_centerVertical="true"
                                android:src="@drawable/dynamic_default_img" />
                            <ImageView
                                android:id="@+id/iv_fm"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="18dp"
                                android:src="@drawable/dynamic_img_trend_fm_play"
                                android:visibility="gone"
                                tools:visibility="visible" />
                            <TextView
                                android:id="@+id/item_recommend_trend_ad_tv"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="15dp"
                                android:layout_marginRight="15dp"
                                android:layout_toRightOf="@+id/item_recommend_trend_ad_iv"
                                android:maxLines="2"
                                android:ellipsize="end"
                                android:text="夏一梦心理工作室夏一梦心理工作室夏一梦心理工作室"
                                android:textColor="#333"
                                android:textSize="14sp" />
                        </RelativeLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="0.5dp"
                            android:layout_marginLeft="10dp"
                            android:layout_marginRight="10dp"
                            android:background="@color/dynamic_f5f5f5" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:orientation="horizontal"
                            android:paddingLeft="15dp"
                            android:paddingRight="15dp">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:drawablePadding="3dp"
                                android:gravity="center_vertical"
                                android:text="来自话题"
                                android:textSize="@dimen/dynamic_text_size_13" />

                            <TextView
                                android:id="@+id/text_huati"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:drawableRight="@drawable/dynamic_msg_next"
                                android:gravity="center_vertical"
                                android:textColor="@color/platform_main_theme"
                                android:textSize="@dimen/dynamic_text_size_17"
                                tools:text="#小朋友去哪了#" />
                        </LinearLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="0.5dp"
                            android:layout_marginBottom="10dp"
                            android:layout_marginLeft="10dp"
                            android:layout_marginRight="10dp"
                            android:background="@color/dynamic_f5f5f5" />

                        <!--赞阅读量-->
                        <RelativeLayout
                            android:id="@+id/item_recommend_trend_zan_rel"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="10dp"
                            android:layout_marginLeft="15dp"
                            android:layout_marginRight="15dp">

                            <TextView
                                android:id="@+id/item_recommend_trend_readed_tv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentLeft="true"
                                android:layout_centerVertical="true"
                                android:gravity="center"
                                android:adjustViewBounds="true"
                                android:drawableLeft="@drawable/dynamic_icon_see_nor"
                                android:drawablePadding="4dp"
                                android:textColor="@color/dynamic_text_trend_defult"
                                tools:text="5" />

                            <TextView
                                android:id="@+id/item_recommend_trend_zannum_tv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:gravity="center"
                                android:adjustViewBounds="true"
                                android:layout_marginLeft="15dp"
                                android:layout_toRightOf="@+id/item_recommend_trend_readed_tv"
                                android:textColor="@color/dynamic_text_trend_defult"
                                android:drawableLeft="@drawable/dynamic_icon_warm_nor"
                                android:drawablePadding="4dp"
                                tools:text="10" />

                        </RelativeLayout>

                        <!--点赞用户头像列表-->
                        <LinearLayout
                            android:id="@+id/lin_zan_list1"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:clickable="true"
                            android:orientation="horizontal"
                            android:paddingLeft="15dp"
                            android:paddingRight="15dp"
                            android:visibility="gone"
                            tools:visibility="visible">

                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/recy_ico_list"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="1" />

                            <ImageView
                                android:id="@+id/img_more"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_alignParentRight="true"
                                android:layout_gravity="center|right"
                                android:paddingLeft="15dp"
                                android:src="@drawable/dynamic_msg_next"
                                android:visibility="gone"
                                tools:visibility="visible" />
                        </LinearLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="15dp"
                            android:background="@color/dynamic_f5f5f5" />


                        <FrameLayout
                            android:id="@+id/fl_ads"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:visibility="gone">

                            <androidx.viewpager.widget.ViewPager
                                android:id="@+id/vp_ads"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:background="@color/dynamic_white" />

                            <com.yidianling.dynamic.trendsDetail.CircleIndicator
                                android:id="@+id/circle_indicator"
                                android:layout_width="match_parent"
                                android:layout_height="28dp"
                                android:layout_gravity="bottom" />
                        </FrameLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="15dp"
                            android:background="@color/dynamic_f5f5f5" />

                        <TextView
                            android:id="@+id/text_talk_num"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:gravity="center_vertical"
                            android:paddingLeft="15dp"
                            tools:text="24个评论" />

                        <TextView
                            android:id="@+id/text_show_all"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginBottom="20dp"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/dynamic_shape_green_border_trend_info_bg"
                            android:paddingBottom="8dp"
                            android:paddingLeft="20dp"
                            android:paddingRight="20dp"
                            android:paddingTop="8dp"
                            android:text="显示所有评论"
                            android:textColor="@color/platform_main_theme"
                            android:textSize="15sp"
                            android:visibility="gone"
                            tools:visibility="visible" />


                        <com.ydl.ydlcommon.view.widgets.RecyclerViewForScrollView
                            android:id="@+id/talk_recyView"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:stackFromBottom="true"
                            android:transcriptMode="alwaysScroll" />


                        <LinearLayout
                            android:id="@+id/lin_nullTip"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:orientation="vertical"
                            android:visibility="gone"
                            tools:visibility="visible">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_horizontal"
                                android:src="@drawable/dynamic_blank"
                                android:visibility="visible" />

                            <TextView
                                android:id="@+id/tv_no_comments"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_horizontal"
                                android:layout_marginTop="5dp"
                                android:text="就等你的评论咯～" />
                        </LinearLayout>


                    </LinearLayout>

                </com.ydl.ydlcommon.view.widgets.MyScrollview>


            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>


            <RelativeLayout
                android:id="@+id/rela_nullTip"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@+id/rela_toolBar"
                android:paddingTop="50dp"
                android:visibility="gone">

                <ImageView
                    android:id="@+id/img_tip"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:src="@drawable/dynamic_blank" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/img_tip"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="20dp"
                    android:text="当前动态已删除" />
            </RelativeLayout>


            <include layout="@layout/dynamic_include_trend_info_bottom" />
        </LinearLayout>

        <com.ydl.ydlcommon.ui.LogoLoadingView
            android:id="@+id/v_loading"
            android:layout_width="match_parent"
            android:layout_height="match_parent"/>

    </RelativeLayout>



</LinearLayout>
